//CSS全体のリセット設定
@import "reset";
@import "color";
@import "basic";

@mixin section-topHeader{
  height:200px;
  div.section-topFig{
    position: relative;
    img{
      //mix-blend-mode : overlay; /* 乗算を指定 */
      mix-blend-mode : multiply; /* 乗算を指定 */
      width:100%;
      height:200px;
      object-fit: cover;
    }
  }
  div.seclist-blocks{
    color: $color-white;
    position: absolute;
    top:60px;
    left: 0;
    padding-left: 15px;
    h3.section-enTitle{
      font-family: 'DINNextLTPro-Bold', sans-serif;
      text-transform: uppercase;
      //font-weight: bold;
      font-size: 230%;
      //text-transform: uppercase;
      text-decoration: underline;
      text-align: left;
      letter-spacing: 0px;
      //margin-top: 20px;
      padding-top: 20px;
      //margin-bottom: 3px;
      //vertical-align: middle;
    }
    h2.section-jpTitle{
      font-weight: bold;
      font-size: 120%;
      //text-align: center;
    }
  }
}

@mixin number-include($color-set){
  font-family: 'DINNextLTPro-Bold', sans-serif;
  font-size: 230%;
  letter-spacing: 0px;
  mix-blend-mode : multiply; /* 乗算を指定 */
  color:$color-set;
  //opacity: 0.2;
  position: absolute;
  top:0;
  left:0;
  //z-index: 500;
  top: 50%;
  left: 50%;
  -ms-transform: translate(-50%,-50%);
  -webkit-transform: translate(-50%,-50%);
  transform: translate(-50%,-50%);
  margin:0;
  padding:0;
}

section#list-container{
// padding-top: 60px;
background-color: $color-lightgray;
}

section#box-container{
  // padding-top: 60px;
  width:100%;
  overflow-x: hidden;
  //display: grid;
  //gap: 0px;
  .item{
    position: relative;
    overflow: hidden;
    background-color: $color-darkGray;
    margin: 0;
    padding:0;
    //display: grid;
    //gap: 10px;
    //grid-template-columns: 25%, 25%, 25%, 25%;
    //grid-template-rows: auto auto auto;
    img {
      margin: 0;
      padding:0;
    object-fit: cover; /* この一行を追加するだけ！ */
    width: 100%;
    //height: 100%;
  }
  }
  .box-size1{
    //position: relative;
    width: 25%;
    height:0;
    padding-bottom:25%;
    vertical-align:bottom;
    //background-color: #FF0000;
    //overflow: hidden;

}
.box-size2{
  width: 50%;
  height:0;
  padding-bottom: 50%;
  vertical-align:bottom;
  //background-color: #FFFF00;
}
}

ul#list-ul01{
  a{
    margin: 0;
    padding: 0;
    color:$color-white;
    text-decoration: none;
  }
  a:hover{
    opacity:0.4;
    filter: alpha(opacity=40);        /* ie lt 8 */
    -ms-filter: "alpha(opacity=40)";  /* ie 8 */
    -moz-opacity:0.4;                 /* FF lt 1.5, Netscape */
    -khtml-opacity: 0.4;
  }
  li{
    position: relative;
    float: left;
    width: 50%;
    margin:0px;
    padding:0px;
    line-height: 0;
    div.list-fig{
      img{
        //mix-blend-mode : overlay; /* 乗算を指定 */
        mix-blend-mode : multiply;
        width:100%;
        height:100%;
        object-fit: cover;
        //line-height: 0;
      }
    }
    div.list-blocks{
      //display: none;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translateY(-50%) translateX(-50%);
      text-align: center;
      h2.list-enTitle{
        font-family: 'DINNextLTPro-Bold', sans-serif;
        text-transform: uppercase;
        //font-weight: bold;
        font-size: 200%;
        letter-spacing: 0px;
        //text-transform: uppercase;
        text-decoration: underline;
        text-align: center;
//        margin-top: 30%;
//        margin-bottom: 3px;
        line-height: 1.4;
        //vertical-alignsection-Title: middle;
      }
      h3.list-jpTitle{
        //width:150px;
        font-weight: bold;
        font-size: 110%;
        text-align: center;
        line-height: 1.4;
      }
      p.progress-no{
        font-family: 'DINNextLTPro-Bold', sans-serif;
        text-transform: uppercase;
        font-size: 90%;
        text-align: center;
        line-height: 1.4;
      }
    }
  }
  div#section01{
    background:$color-section01_back;
  }
  div#section02{
    background:$color-section02_back;
  }
  div#section03{
    background:$color-section03_back;
  }
  div#section04{
    background:$color-section04_back;
  }
  div#section05{
    background:$color-section05_back;
  }
  div#section06{
    background:$color-section06_back;
  }
  div#section07{
    background:$color-section07_back;
  }
  div#section08{
    background:$color-section08_back;
  }
  div#section09{
    background:$color-section09_back;
  }
  div#section10{
    background:$color-section10_back;
  }
  div#section11{
    background:$color-section11_back;
  }
  div#section12{
    background:$color-section12_back;
  }
  div#section13{
    background:$color-section13_back;
  }
  div#section14{
    background:$color-section14_back;
  }
  li#section01-sam1{
    //background-color: #ff9900;
    background-image: url("bg-img/pattern01/image01.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section02-sam1{
    background-image: url("bg-img/pattern01/image02.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
    //background-repeat: no-repeat;
  }
  li#section03-sam1{
    background-image: url("bg-img/pattern01/image03.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section04-sam1{
    background-image: url("bg-img/pattern01/image04.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section05-sam1{
    background-image: url("bg-img/pattern01/image05.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section06-sam1{
    background-image: url("bg-img/pattern01/image06.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section07-sam1{
    background-image: url("bg-img/pattern01/image07.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section08-sam1{
    background-image: url("bg-img/pattern01/image08.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section09-sam1{
    background-image: url("bg-img/pattern01/image09.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section10-sam1{
    background-image: url("bg-img/pattern01/image10.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section11-sam1{
    background-image: url("bg-img/pattern01/image11.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section12-sam1{
    background-image: url("bg-img/pattern01/image12.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section13-sam1{
    background-image: url("bg-img/pattern01/image13.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section14-sam1{
    background-image: url("bg-img/pattern01/image14.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section01-sam2{
    //background-color: #ff9900;
    background-image: url("bg-img/pattern02/image01.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section02-sam2{
    background-image: url("bg-img/pattern02/image02.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
    //background-repeat: no-repeat;
  }
  li#section03-sam2{
    background-image: url("bg-img/pattern02/image03.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section04-sam2{
    background-image: url("bg-img/pattern02/image04.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section05-sam2{
    background-image: url("bg-img/pattern02/image05.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section06-sam2{
    background-image: url("bg-img/pattern02/image06.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section07-sam2{
    background-image: url("bg-img/pattern02/image07.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section08-sam2{
    background-image: url("bg-img/pattern02/image08.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section09-sam2{
    background-image: url("bg-img/pattern02/image09.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section10-sam2{
    background-image: url("bg-img/pattern02/image10.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section11-sam2{
    background-image: url("bg-img/pattern02/image11.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section12-sam2{
    background-image: url("bg-img/pattern02/image12.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section13-sam2{
    background-image: url("bg-img/pattern02/image13.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
  li#section14-sam2{
    background-image: url("bg-img/pattern02/image14.gif");
    background-repeat: no-repeat;
    -moz-background-size:cover;
    background-size:cover;
  }
}

ul#section-list{
  margin: 0;
  padding: 0;
  //overflow-x: hidden;
  li#sec01_00{
    background:$color-section01_back;
    @include section-topHeader;
  }
  li#sec02_00{
    background:$color-section02_back;
    @include section-topHeader;
  }
  li#sec03_00{
    background:$color-section03_back;
    @include section-topHeader;
  }
  li#sec04_00{
    background:$color-section04_back;
    @include section-topHeader;
  }
  li#sec05_00{
    background:$color-section05_back;
    @include section-topHeader;
  }
  li#sec06_00{
    background:$color-section06_back;
    @include section-topHeader;
  }
  li#sec07_00{
    background:$color-section07_back;
    @include section-topHeader;
  }
  li#sec08_00{
    background:$color-section08_back;
    @include section-topHeader;
  }
  li#sec09_00{
    background:$color-section09_back;
    @include section-topHeader;
  }
  li#sec10_00{
    background:$color-section10_back;
    @include section-topHeader;
  }
  li#sec11_00{
    background:$color-section11_back;
    @include section-topHeader;
  }
  li#sec12_00{
    background:$color-section12_back;
    @include section-topHeader;
  }
  li#sec13_00{
    background:$color-section13_back;
    @include section-topHeader;
  }
  li#sec14_00{
    background:$color-section14_back;
    @include section-topHeader;
  }
    li.section-contents{
      div.seclist-blocks{
        clear: both;
        height:80px;
        div.number-blocks{
          float: left;
          position: relative;/*相対配置*/
          margin: 0;
          padding: 0;
          width: 80px;
          height:80px;
          margin-right: 20px;
          img.list-thumImg{
            //position: relative;
            width:80px;
            height:80px;
            object-fit: cover;
          }
          p.number_sec01{
            @include number-include($color-section01);
          }
          p.number_sec02{
            @include number-include($color-section02);
          }
          p.number_sec03{
            @include number-include($color-section03);
          }
          p.number_sec04{
            @include number-include($color-section04);
          }
          p.number_sec05{
            @include number-include($color-section05);
          }
          p.number_sec06{
            @include number-include($color-section06);
          }
          p.number_sec07{
            @include number-include($color-section07);
          }
          p.number_sec08{
            @include number-include($color-section08);
          }
          p.number_sec09{
            @include number-include($color-section09);
          }
          p.number_sec10{
            @include number-include($color-section10);
          }
          p.number_sec11{
            @include number-include($color-section11);
          }
          p.number_sec12{
            @include number-include($color-section12);
          }
          p.number_sec13{
            @include number-include($color-section13);
          }
          p.number_sec14{
            @include number-include($color-section14);
          }
        }
        div.seclist-title{
          margin:0;
          padding: 0;
          //float: left;
          vertical-align: middle;
          //width:60%;
          height:80px;
          //background-color: #dfffff;
          h2{
            //margin-left: 20px;
            padding-top: 25px;
            font-size: 100%;
          }
          h2.title-long{
            padding-top: 18px;
            //margin-left: 20px;
            //padding-top: 22px;
            font-size: 100%;
            line-height: 1.4;
          }
        }
        div.content-check{
          float: right;
          padding-top:25px;
          padding-left: 20px;
          width:60px;
          right:20px;
          img.list-checkbutton{
            width:30px;
            height: auto;
          }
        }
      }

    }
}

body.section_body{
  background-color: $color-lightgray;
}

section#list-underBlock{
  clear: both;
  min-height:60px;
}
